<template>
  <span class="help-text" :class="{'help-text--error': error}">
    <slot></slot>
  </span>
</template>

<script>

export default {
  name: 'HelpText',
  status: 'ready',
  release: '1.0.0',
  props: {
    /**
     * The error state of image input.
     */
    error: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
.help-text {
    font-family: 'Arial', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;

    display: flex;
    align-items: center;
    text-align: center;

    color: #9196A7;

  &--error {
    color: $hsl-color-red;
  }
}
</style>
